curl "https://secureapi.gridlog.io/api/v1/staking/stakes?chain=solana&status=active" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"stakes": [
{
"id": "stake_123...",
"planId": "plan_456...",
"chain": "solana",
"amount": "100.0",
"status": "active",
"rewards": "1.37",
"lockedUntil": "2025-04-21T10:00:00.000Z",
"createdAt": "2025-03-21T10:00:00.000Z"
}
],
"total": 5,
"page": 1,
"limit": 20
}
List all stakes for your business with optional filters
curl "https://secureapi.gridlog.io/api/v1/staking/stakes?chain=solana&status=active" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"stakes": [
{
"id": "stake_123...",
"planId": "plan_456...",
"chain": "solana",
"amount": "100.0",
"status": "active",
"rewards": "1.37",
"lockedUntil": "2025-04-21T10:00:00.000Z",
"createdAt": "2025-03-21T10:00:00.000Z"
}
],
"total": 5,
"page": 1,
"limit": 20
}
active, unstaking, withdrawncurl "https://secureapi.gridlog.io/api/v1/staking/stakes?chain=solana&status=active" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"stakes": [
{
"id": "stake_123...",
"planId": "plan_456...",
"chain": "solana",
"amount": "100.0",
"status": "active",
"rewards": "1.37",
"lockedUntil": "2025-04-21T10:00:00.000Z",
"createdAt": "2025-03-21T10:00:00.000Z"
}
],
"total": 5,
"page": 1,
"limit": 20
}